Loading...
Searching...
No Matches
log4shib::CategoryNameComponent Struct Reference
Inheritance diagram for log4shib::CategoryNameComponent:
[legend]
Collaboration diagram for log4shib::CategoryNameComponent:
[legend]

## Public Member Functions

| CategoryNameComponent (std::string specifier)
virtual void | append (std::ostringstream &out, const LoggingEvent &event)
Public Member Functions inherited from log4shib::PatternLayout::PatternComponent
virtual | ~PatternComponent ()

## Constructor & Destructor Documentation

## CategoryNameComponent()

log4shib::CategoryNameComponent::CategoryNameComponent | ( | std::string | specifier | ) |

inline

## Member Function Documentation

## append()

virtual void log4shib::CategoryNameComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event )

inline virtual

Implements log4shib::PatternLayout::PatternComponent.

The documentation for this struct was generated from the following file:

- PatternLayout.cpp